<section id="traveller">
    <div class="container-fluid bgclr">
        <ul class="breadcrumb reset">
            <li>
                <a [routerLink]="['/side-menu',{outlets:{sidebar:'fare'}}]">Fare ></a>
            </li>
            <li class="">
                Edit Fare
            </li>
        </ul>
        <div class="card">
            <div class="card-body">
                <div class="card">
                    <div class="card-header">
                      Individual Fare
                    </div>
                    <div class="card-body">
                        
                        <form [formGroup]="updateFareForm" (ngSubmit)="onSubmit()">
                          <input type="hidden" formControlName="id">
                            <div class="form-group">
                            <div class="form-row">
                              <!-- <div class="col">
                               
                                <label for="">Country</label>
                                <input type="text" class="form-control" formControlName="country" placeholder="Country">
                                <label for="">Country:</label>
                                <select class="form-control" 
                                    formControlName="country" >
                                    <option value="1" >
                                    </option>
                                    
                                </select>
                              </div> -->
                              <!-- <div class="col">
                                <input type="text" class="form-control" placeholder="State">
                                <label for="">State:</label>
                                <select class="form-control" 
                                    formControlName="state" [(ngModel)]="stateid" (change)="stateSelected()">
                                    <option value="{{state._id}}" *ngFor = "let state of states">{{state.name}}
                                    </option>
                                </select>
                                <label for="">State</label>
                                <input type="text" class="form-control" formControlName="state" placeholder="State">
                              </div> -->
                            </div>
                        </div>
                            <div class="form-group">
                            <div class="form-row">
                                <!-- <div class="col">
                                  <input type="text" class="form-control" placeholder="City">
                                  <label for="">City:</label>
                                  <select class="form-control" 
                                      formControlName="city">
                                      <option value="{{city._id}}" *ngFor = "let city of cities">{{city.name}}
                                      </option>
                                  </select>
                                  <label for="">City</label>
                                  <input type="text" class="form-control" formControlName="city" placeholder="City">
                                </div> -->
                                <div class="col">
                                    <label for="">Petrol charges</label>
                                  <input type="number" class="form-control" formControlName="petrolCharge" placeholder="Petrol charges" [ngClass]="{ 'is-invalid': submitted && f.petrolCharge.errors }">
                                  <div *ngIf="submitted && f.petrolCharge.errors" class="invalid-feedback">
                                    <div *ngIf="f.petrolCharge.errors.required">Petrol charges is required</div>
                                    <!-- <div *ngIf="f.petrolCharge.errors.pattern"> 
                                      Enter only numbers
                                    </div> -->
                                </div>
                                </div>
                                <div class="col">
                                  <label for="">Diesel charges</label>
                                <input type="number" class="form-control" formControlName="dieselCharge" placeholder="Diesel Charges" [ngClass]="{ 'is-invalid': submitted && f.dieselCharge.errors }">
                                <div *ngIf="submitted && f.dieselCharge.errors" class="invalid-feedback">
                                  <div *ngIf="f.dieselCharge.errors.required">Diesel charges is required</div>
                                  <!-- <div *ngIf="f.dieselCharge.errors.pattern"> 
                                    Enter only numbers
                                  </div> -->
                              </div>
                              </div>
                              </div>
                            </div>
                            <div class="form-group">
                              <div class="form-row">
                                <div class="col">
                                  <label for="">Fixed charges</label>
                                  <input type="number" class="form-control" formControlName="perKmCharge" placeholder="Fixed Charges" [ngClass]="{ 'is-invalid': submitted && f.perKmCharge.errors }">
                                  <div *ngIf="submitted && f.perKmCharge.errors" class="invalid-feedback">
                                    <div *ngIf="f.perKmCharge.errors.required">PerKm charges is required</div>
                                    <!-- <div *ngIf="f.perKmCharge.errors.pattern"> 
                                      Enter only numbers
                                    </div> -->
                                </div>
                                </div>
                                <!-- <div class="col">
                                    <label for="">Cancellation charges</label>
                                  <input type="text" class="form-control" formControlName="cancellationCharge" placeholder="Cancellation charges" [ngClass]="{ 'is-invalid': submitted && f.cancellationCharge.errors }">
                                  <div *ngIf="submitted && f.cancellationCharge.errors" class="invalid-feedback">
                                    <div *ngIf="f.cancellationCharge.errors.required">Cancellation charges is required</div>
                                    <div *ngIf="f.cancellationCharge.errors.pattern"> 
                                      Enter only numbers
                                    </div>
                                </div>
                                </div> -->
                              </div>
                            </div>
                              <div>
                                  <button type="submit" class="btn btn-success float-right">Submit</button>
                              </div>
                          </form>
                    </div>
                  </div>
            </div>

        </div>
    </div>
</section>